Loading...
Searching...
No Matches
reiserfs_super_block Struct Reference

`#include <reiserfs.h>`

## Data Fields

char | padding [438]
uint32_t | s_block_count
uint16_t | s_blocksize
uint16_t | s_bmap_nr
uint32_t | s_free_blocks
uint16_t | s_fsck_state
uint32_t | s_hash_function_code
uint32_t | s_journal_block
uint32_t | s_journal_block_count
uint32_t | s_journal_dev
uint32_t | s_journal_max_batch
uint32_t | s_journal_max_commit_age
uint32_t | s_journal_max_trans_age
uint32_t | s_journal_trans_max
char | s_magic [10]
uint16_t | s_oid_cursize
uint16_t | s_oid_maxsize
uint32_t | s_orig_journal_size
uint32_t | s_root_block
uint16_t | s_state
uint16_t | s_tree_height
uint16_t | s_version

## Field Documentation

## padding

char reiserfs_super_block::padding[438]

## s_block_count

uint32_t reiserfs_super_block::s_block_count

## s_blocksize

uint16_t reiserfs_super_block::s_blocksize

## s_bmap_nr

uint16_t reiserfs_super_block::s_bmap_nr

## s_free_blocks

uint32_t reiserfs_super_block::s_free_blocks

## s_fsck_state

uint16_t reiserfs_super_block::s_fsck_state

## s_hash_function_code

uint32_t reiserfs_super_block::s_hash_function_code

## s_journal_block

uint32_t reiserfs_super_block::s_journal_block

## s_journal_block_count

uint32_t reiserfs_super_block::s_journal_block_count

## s_journal_dev

uint32_t reiserfs_super_block::s_journal_dev

## s_journal_max_batch

uint32_t reiserfs_super_block::s_journal_max_batch

## s_journal_max_commit_age

uint32_t reiserfs_super_block::s_journal_max_commit_age

## s_journal_max_trans_age

uint32_t reiserfs_super_block::s_journal_max_trans_age

## s_journal_trans_max

uint32_t reiserfs_super_block::s_journal_trans_max

## s_magic

char reiserfs_super_block::s_magic[10]

## s_oid_cursize

uint16_t reiserfs_super_block::s_oid_cursize

## s_oid_maxsize

uint16_t reiserfs_super_block::s_oid_maxsize

## s_orig_journal_size

uint32_t reiserfs_super_block::s_orig_journal_size

## s_root_block

uint32_t reiserfs_super_block::s_root_block

## s_state

uint16_t reiserfs_super_block::s_state

## s_tree_height

uint16_t reiserfs_super_block::s_tree_height

## s_version

uint16_t reiserfs_super_block::s_version

The documentation for this struct was generated from the following file:

- libparted/fs/reiserfs/reiserfs.h